#ifndef PW_VISUAL_MESH_RENDERER_HPP
#define PW_VISUAL_MESH_RENDERER_HPP

#include <memory>
#include <map>

namespace pw {

class geometry;

/**
 * @brief builds a renderer for geometry
 */
class renderer {
public:

    renderer();
    renderer(const geometry& m);

    ~renderer();

    bool update(const geometry &m);
	void release();

	void draw();
	bool ready() const;

    uint64_t change_count() const;
    void set_change_count(uint64_t n);
protected:

	struct impl;
	std::unique_ptr<impl> _impl;

};

}

#endif
